aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authortulku <tulku@32389bae-6d03-0410-99cf-db05cde120eb>2006-02-15 02:46:36 +0000
committertulku <tulku@32389bae-6d03-0410-99cf-db05cde120eb>2006-02-15 02:46:36 +0000
commit999b7377cfad6dd0791de746824c694971f70643 (patch)
tree1b70daf39f7b2f244d4d6c624e63ba662222609a /sci-electronics/freehdl
parentmkl-8.0.1.006.ebuild: make shared libs, removed cpu detection, threading by d... (diff)
downloadsci-999b7377cfad6dd0791de746824c694971f70643.tar.gz
sci-999b7377cfad6dd0791de746824c694971f70643.tar.bz2
sci-999b7377cfad6dd0791de746824c694971f70643.zip
Adding new freehdl from bug 122790
git-svn-id: http://overlays.gentoo.org/svn/proj/science/overlay@102 32389bae-6d03-0410-99cf-db05cde120eb
Diffstat (limited to 'sci-electronics/freehdl')
-rw-r--r--sci-electronics/freehdl/ChangeLog44
-rw-r--r--sci-electronics/freehdl/Manifest5
-rw-r--r--sci-electronics/freehdl/files/digest-freehdl-0.0.11
-rw-r--r--sci-electronics/freehdl/freehdl-0.0.1.ebuild30
-rw-r--r--sci-electronics/freehdl/metadata.xml5
5 files changed, 85 insertions, 0 deletions
diff --git a/sci-electronics/freehdl/ChangeLog b/sci-electronics/freehdl/ChangeLog
new file mode 100644
index 000000000..2e5ca608c
--- /dev/null
+++ b/sci-electronics/freehdl/ChangeLog
@@ -0,0 +1,44 @@
+# ChangeLog for sci-electronics/freehdl
+# Copyright 2000-2005 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/sci-electronics/freehdl/ChangeLog,v 1.5 2005/08/30 12:44:04 phosphan Exp $
+
+*freehdl-0.0.1 (14 Feb 2006)
+
+ 14 Feb 2006; Lucas Chiesa <lucas.chiesa@gmail.com> freehdl-0.0.1.ebuild:
+ Version bump. Removed flex from DEPEND and the path applied.
+ Thanks Stefan Jahn <stefan@gruft.de>. Closing bug #122790.
+
+
+ 30 Aug 2005; Patrick Kursawe <phosphan@gentoo.org>
+ +files/freehdl-20050510-memory.patch, freehdl-20050510.ebuild:
+ Fixed #104122 with a little patch. Marking ~arch for x86 and ppc.
+
+*freehdl-20050510 (29 Aug 2005)
+
+ 29 Aug 2005; Patrick Kursawe <phosphan@gentoo.org> +freehdl-20050510.ebuild:
+ Version bump. Uses flex instead of bringing a patch with flex results. Marked
+ as -* until bug #104122 has been fixed.
+
+ 05 Jan 2005; Patrick Kursawe <phosphan@gentoo.org> freehdl-20040113.ebuild:
+ Adding guile to dependencies (bug #75809)
+
+*freehdl-20040113 (27 Dec 2004)
+
+ 27 Dec 2004; Olivier Fisette <ribosome@gentoo.org> +metadata.xml,
+ +files/freehdl-20040113-gcc3.4.patch, +freehdl-20040113.ebuild:
+ Moved from app-sci/freehdl to sci-electronics/freehdl.
+
+ 04 Oct 2004; Patrick Kursawe <phosphan@gentoo.org>
+ +files/freehdl-20040113-gcc3.4.patch, freehdl-20040113.ebuild:
+ Adding patch for gcc 3.4. Adding ~x86 to "KEYWORDS".
+
+ 01 Jul 2004; Jeremy Huddleston <eradicator@gentoo.org>
+ freehdl-20040113.ebuild:
+ virtual/glibc -> virtual/libc
+
+*freehdl-20040113 (13 May 2004)
+
+ 13 May 2004; David Holm <dholm@gentoo.org> +metadata.xml,
+ +freehdl-20040113.ebuild:
+ Initial import.
+
diff --git a/sci-electronics/freehdl/Manifest b/sci-electronics/freehdl/Manifest
new file mode 100644
index 000000000..b949ad951
--- /dev/null
+++ b/sci-electronics/freehdl/Manifest
@@ -0,0 +1,5 @@
+MD5 4bab28e331c73493ee0878bffe650f40 .freehdl-0.0.1.ebuild.swp 12288
+MD5 4bae8af3570fdc769aee9adf912d2bc2 ChangeLog 1656
+MD5 1ffa63ab688c66d35d50fabbe55a20cc files/digest-freehdl-0.0.1 66
+MD5 ee7aac3cc9b1aa26f9f552767c78ff68 freehdl-0.0.1.ebuild 937
+MD5 8c623e53daafa025137077c6b65815bd metadata.xml 156
diff --git a/sci-electronics/freehdl/files/digest-freehdl-0.0.1 b/sci-electronics/freehdl/files/digest-freehdl-0.0.1
new file mode 100644
index 000000000..16efc1a28
--- /dev/null
+++ b/sci-electronics/freehdl/files/digest-freehdl-0.0.1
@@ -0,0 +1 @@
+MD5 a88be93ac3eed4452cc64c86b4573013 freehdl-0.0.1.tar.gz 1379764
diff --git a/sci-electronics/freehdl/freehdl-0.0.1.ebuild b/sci-electronics/freehdl/freehdl-0.0.1.ebuild
new file mode 100644
index 000000000..688a341b6
--- /dev/null
+++ b/sci-electronics/freehdl/freehdl-0.0.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2005 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sci-electronics/freehdl/freehdl-20050510.ebuild,v 1.2 2005/08/30 12:44:04 phosphan Exp $
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="A free VHDL simulator."
+SRC_URI="http://cran.mit.edu/~enaroska/${P}.tar.gz"
+HOMEPAGE="http://freehdl.seul.org/"
+LICENSE="GPL-2"
+DEPEND=">=sys-devel/gcc-3.4.3.20050110-r2"
+RDEPEND=">=dev-util/guile-1.2"
+SLOT="0"
+IUSE=""
+KEYWORDS="~x86 ~ppc"
+
+src_unpack() {
+ if [ $(gcc-major-version) -le 3 -a $(gcc-minor-version) -le 4 ] \
+ && [ $(gcc-micro-version) -lt 3 -o $(gcc-minor-version) -lt 4 ]; then
+ die "You need at least gcc 3.4.3.20050110-r2 to compile freehdl." \
+ "You are using $(gcc-fullversion)"
+ fi
+ unpack ${A}
+ cd ${S}
+}
+
+src_install () {
+ emake DESTDIR=${D} install || die "installation failed"
+ dodoc AUTHORS ChangeLog COPYING INSTALL NEWS README
+}
diff --git a/sci-electronics/freehdl/metadata.xml b/sci-electronics/freehdl/metadata.xml
new file mode 100644
index 000000000..b229aec85
--- /dev/null
+++ b/sci-electronics/freehdl/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>sci</herd>
+</pkgmetadata>